delayw
Prev | Orchestra Opcodes and Operators | Next

## delayw

delayw — Writes the audio signal to a digital delay line.

## Description

Writes the audio signal to a digital delay line.

## Syntax

    delayw asig

## Performance

delayw writes asig into the delay area established by the preceding delayr unit. Viewed as a pair, these two units permit the formation of modified feedback loops, etc. However, there is a lower bound on the value of idlt, which must be at least 1 control period (or 1/kr).

## Examples

Here is an example of the delayw opcode. It uses the file delayw.csd.

Example 115. Example of the delayw opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in    No messages
    -odac           -iadc     -d     ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o delayw.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 2

    ; Instrument #1 -- Delayed beeps.
    instr 1
      ; Make a basic sound.
      abeep vco 20000, 440, 1

      ; Set up a delay line.
      idlt = 0.1
      adel delayr idlt

      ; Write the beep to the delay line.
      delayw abeep

      ; Send the beep to the left speaker and
      ; the delayed beep to the right speaker.
      outs abeep, adel
    endin

    </CsInstruments>
    <CsScore>

    ; Table #1, a sine wave.
    f 1 0 16384 10 1

    ; Keep the score running for 2 seconds.
    f 0 2

    ; Play Instrument #1.
    i 1 0.0 0.2
    i 1 0.5 0.2
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

delay, delay1, delayr

## Credits

Example written by Kevin Conder.

Prev | Up | Next
delayr | Home | deltap